import pygame
from pygame.locals import *

from . import tools

class Bar():
    def __init__(self, max, pos):
        self.max = max
        self.value = max
        self.x = pos[0]
        self.y = pos[1]
        self.frame = Rect((pos), (48, 200))
        self.inner = Rect(self.x + 2, self.y + 2, 44, 196)
        self.bar = Rect(self.x + 2, self.y + 2, 44, 196)
        self.mark = self.bar.height / self.max
        self.image = tools.load_image("resources/image", "bar.png", -1)

    def update(self):
        self.bar.height = self.value * self.mark

    def draw(self, screen):
        pygame.draw.rect(screen, (255, 255, 255), self.frame)
        pygame.draw.rect(screen, (0, 0, 0), self.inner)
        pygame.draw.rect(screen, (200, 153, 50), self.bar)
        screen.blit(self.image, (self.x, self.y - 38))
