import pygame
from pygame.locals import *

from .setup import *

GAME_RECT = Rect(0, 0, 640, 420)

class Poop(pygame.sprite.Sprite):
    speed = 4

    def __init__(self, pos, size):
        pygame.sprite.Sprite.__init__(self, self.containers)
        self.image = pygame.Surface((size, size))
        pygame.draw.circle(self.image, (200, 153, 50), (size / 2, size / 2), size / 2)
        self.image.set_colorkey(self.image.get_at((0, 0)), RLEACCEL)
        self.rect = Rect(size / 2 - 1, 0, 2, size)
        self.rect.center = (pos[0] - 20, pos[1] + 30)
        self.landing = False

    def update(self):
        if self.landing == False:
            self.rect.move_ip(0, self.speed)
        self.rect.clamp_ip(GAME_RECT)
